---
title: MySqlAttributeCollection
---

# MySqlAttributeCollection class

[`MySqlAttributeCollection`](../MySqlAttributeCollectionType/) represents a collection of query attributes that can be added to a [`MySqlCommand`](../MySqlCommandType/).

```csharp
public sealed class MySqlAttributeCollection : IEnumerable<MySqlAttribute>
```

## Public Members

| name | description |
| --- | --- |
| [Count](../MySqlAttributeCollection/Count/) { get; } | Returns the number of attributes in the collection. |
| [Item](../MySqlAttributeCollection/Item/) { get; } | Gets the attribute at the specified index. |
| [Add](../MySqlAttributeCollection/Add/)(…) | Adds a new [`MySqlAttribute`](../MySqlAttributeType/) to the collection. |
| [Clear](../MySqlAttributeCollection/Clear/)() | Clears the collection. |
| [GetEnumerator](../MySqlAttributeCollection/GetEnumerator/)() | Returns an enumerator for the collection. |
| [Remove](../MySqlAttributeCollection/Remove/)(…) | Removes the specified attribute from the collection. |
| [SetAttribute](../MySqlAttributeCollection/SetAttribute/)(…) | Sets the attribute with the specified name to the given value, overwriting it if it already exists. |

## See Also

* class [MySqlAttribute](../MySqlAttributeType/)
* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
